# OSGeo::FDO::ObjectFactory Class Reference

List of all members.

## Static Public Member Functions
static OSGeo::FDO::Connections::Capabilities::ArgumentDefinition * | CreateArgumentDefinition (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::AssociationPropertyDefinition * | CreateAssociationPropertyDefinition (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::BatchParameterValueCollection * | CreateBatchParameterValueCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::ClassCapabilities * | CreateClassCapabilities (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::ClassCollection * | CreateClassCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::ClassDefinition * | CreateClassDefinition (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::DataPropertyDefinition * | CreateDataPropertyDefinition (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::DataPropertyDefinitionCollection * | CreateDataPropertyDefinitionCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Expression::DataValue * | CreateDataValue (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Raster::DataValueCollection * | CreateDataValueCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Expression::DataValueCollection * | CreateEDataValueCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Expression::Expression * | CreateExpression (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Expression::ExpressionCollection * | CreateExpressionCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::FeatureClass * | CreateFeatureClass (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::FeatureSchema * | CreateFeatureSchema (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::FeatureSchemaCollection * | CreateFeatureSchemaCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Filter::Filter * | CreateFilter (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::Capabilities::FunctionDefinition * | CreateFunctionDefinition (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::Capabilities::FunctionDefinitionCollection * | CreateFunctionDefinitionCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::GeometricPropertyDefinition * | CreateGeometricPropertyDefinition (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::ICommand * | CreateICommand (System::IntPtr ptr, System::Boolean autoDispose, OSGeo::FDO::Commands::CommandType type)
static OSGeo::FDO::Connections::Capabilities::ICommandCapabilities * | CreateICommandCapabilities (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::IConnection * | CreateIConnection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::Capabilities::IConnectionCapabilities * | CreateIConnectionCapabilities (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::IConnectionInfo * | CreateIConnectionInfo (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::IConnectionManager * | CreateIConnectionManager (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::IConnectionPropertyDictionary * | CreateIConnectionPropertyDictionary (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::Feature::IDataReader * | CreateIDataReader (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::DataStore::IDataStorePropertyDictionary * | CreateIDataStorePropertyDictionary (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::DataStore::IDataStoreReader * | CreateIDataStoreReader (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Expression::Identifier * | CreateIdentifier (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::IdentifierCollection * | CreateIdentifierCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::IDisposableCollection * | CreateIDisposableCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::Capabilities::IExpressionCapabilities * | CreateIExpressionCapabilities (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::Feature::IFeatureReader * | CreateIFeatureReader (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::Capabilities::IFilterCapabilities * | CreateIFilterCapabilities (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::Capabilities::IGeometryCapabilities * | CreateIGeometryCapabilities (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::Locking::ILockConflictReader * | CreateILockConflictReader (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::Locking::ILockedObjectReader * | CreateILockedObjectReader (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::Locking::ILockOwnersReader * | CreateILockOwnersReader (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::LongTransaction::ILongTransactionCheckpointReader * | CreateILongTransactionCheckpointReader (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::LongTransaction::ILongTransactionConflictDirectiveEnumerator * | CreateILongTransactionConflictDirectiveEnumerator (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::LongTransaction::ILongTransactionPrivilegeReader * | CreateILongTransactionPrivilegeReader (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::LongTransaction::ILongTransactionReader * | CreateILongTransactionReader (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::LongTransaction::ILongTransactionSetReader * | CreateILongTransactionSetReader (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::UnitOfMeasure::IMeasureUnitReader * | CreateIMeasureUnitReader (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::IProviderRegistry * | CreateIProviderRegistry (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Raster::IRaster * | CreateIRaster (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::Capabilities::IRasterCapabilities * | CreateIRasterCapabilities (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Raster::IRasterPropertyDictionary * | CreateIRasterPropertyDictionary (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::Capabilities::ISchemaCapabilities * | CreateISchemaCapabilities (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::SpatialContext::ISpatialContextReader * | CreateISpatialContextReader (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::SQL::ISQLDataReader * | CreateISQLDataReader (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::Capabilities::ITopologyCapabilities * | CreateITopologyCapabilities (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::ITransaction * | CreateITransaction (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Common::Xml::IXmlSaxHandler * | CreateIXmlSaxHandler (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Expression::LiteralValue * | CreateLiteralValue (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Expression::LOBValue * | CreateLOBValue (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::NetworkLayerClass * | CreateNetworkLayerClass (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::ParameterValue * | CreateParameterValue (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::ParameterValueCollection * | CreateParameterValueCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::Schema::PhysicalElementMapping * | CreatePhysicalElementMapping (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::Schema::PhysicalSchemaMapping * | CreatePhysicalSchemaMapping (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::Schema::PhysicalSchemaMappingCollection * | CreatePhysicalSchemaMappingCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::PropertyDefinition * | CreatePropertyDefinition (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::PropertyDefinitionCollection * | CreatePropertyDefinitionCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::PropertyValue * | CreatePropertyValue (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Commands::PropertyValueCollection * | CreatePropertyValueCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::PropertyValueConstraint * | CreatePropertyValueConstraint (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::ClientServices::Provider * | CreateProvider (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::ClientServices::ProviderCollection * | CreateProviderCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Raster::RasterDataModel * | CreateRasterDataModel (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::Capabilities::ReadOnlyArgumentDefinitionCollection * | CreateReadOnlyArgumentDefinitionCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::ReadOnlyDataPropertyDefinitionCollection * | CreateReadOnlyDataPropertyDefinitionCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::ReadOnlyPropertyDefinitionCollection * | CreateReadOnlyPropertyDefinitionCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::Capabilities::ReadOnlySignatureDefinitionCollection * | CreateReadOnlySignatureDefinitionCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::SchemaAttributeDictionary * | CreateSchemaAttributeDictionary (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::SchemaElement * | CreateSchemaElement (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::Capabilities::SignatureDefinition * | CreateSignatureDefinition (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Connections::Capabilities::SignatureDefinitionCollection * | CreateSignatureDefinitionCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::UniqueConstraint * | CreateUniqueConstraint (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Schema::UniqueConstraintCollection * | CreateUniqueConstraintCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Expression::ValueExpression * | CreateValueExpression (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Filter::ValueExpressionCollection * | CreateValueExpressionCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Xml::XmlClassMapping * | CreateXmlClassMapping (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Xml::XmlClassMappingCollection * | CreateXmlClassMappingCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Xml::XmlElementMapping * | CreateXmlElementMapping (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Xml::XmlElementMappingCollection * | CreateXmlElementMappingCollection (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Xml::XmlFeatureHandler * | CreateXmlFeatureHandler (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Xml::XmlFeaturePropertyReader * | CreateXmlFeaturePropertyReader (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Xml::XmlFeaturePropertyWriter * | CreateXmlFeaturePropertyWriter (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Xml::XmlFeatureReader * | CreateXmlFeatureReader (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Xml::XmlFeatureWriter * | CreateXmlFeatureWriter (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Xml::XmlFlags * | CreateXmlFlags (System::IntPtr ptr, System::Boolean autoDispose)
static OSGeo::FDO::Common::Xml::XmlSaxContext * | CreateXmlSaxContext (System::IntPtr ptr, System::Boolean autoDispose)